Metacat - Bug #3395

allow private access via indexed "shortcut" url

06/12/2008 01:03 PM - Chad Berkley

Status: Closed Start date: 06/12/2008
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 3395

Description

Currently you can read documents using the url http://server.com/metacat/metacat/docid.1.1. This only works for public documents.
| understand it was originally intended to allow search engines to index the public metacat documents, but | find no reason why this
url should not be able to perform access control just like the other url (docid=docid.1.1&action=read). They should behave
identically. This will allow for more succinct urls to be sent between people and machines.

History

#1 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3395

#2 - 09/10/2013 03:31 PM - ben leinfelder

- Status changed from New to Closed

This is essentially supported by the D1 REST service now - both using client certs or JSESSIONID cookies.
